package br.com.rise.accesscontrol.service.impl;

import br.com.rise.accesscontrol.service.IAccessControlService;
import br.com.rise.roles.component.IRolesComponent;
import br.com.rise.roles.model.entity.IUser;

/**
 * 
 * @author heberthbraga
 *
 */
public class AccessControlServiceImpl implements IAccessControlService {
	
	private IRolesComponent rolesComponent;
	
	public AccessControlServiceImpl(IRolesComponent rolesComponent){
		this.rolesComponent = rolesComponent;
	}
	
	@Override
	public boolean authenticate(IUser user) {
		
		if(this.rolesComponent.getByLoginAndPassword(user) != null){
			return true;
		}else {
			return false;
		}
	}

	@Override
	public boolean login(IUser user) {
		
		return authenticate(user);
	}

	@Override
	public void logout(IUser user) {
		user = null;
	}

	@Override
	public boolean authorize(IUser user) {
		// TODO Create Event and associate Event with Role
		
		return true;
	}
}