package br.com.rise.accesscontro.test;

import org.osgi.framework.BundleContext;

import br.com.rise.accesscontrol.service.IAccessControlService;
import br.com.rise.roles.RolesActivator;
import br.com.rise.roles.model.entity.Author;
import br.com.rise.roles.model.entity.User;

public class AccessControlServiceTest {
	
	private IAccessControlService accessControlService;
	private BundleContext rolesContext;
	
	public AccessControlServiceTest(){
		this.rolesContext = RolesActivator.getDefault().getContext();
	}
	
	public void setAccessControlService(IAccessControlService accessControlService) {
		this.accessControlService = accessControlService;
	}

	public void start(){
		Author user = (Author) this.rolesContext.getService(this.rolesContext.
				getServiceReference(User.class.getName()));
		
		user.setEmail("foo@email.com");
		user.setPassword("123456");
		
		this.accessControlService.login(user);
	}
	
	public void stop(){
		this.accessControlService = null;
	}
}