package br.ufpe.rise.travelagency.billet.entity;

import java.io.Serializable;
import java.util.Date;

import br.ufpe.rise.travelagency.coreagency.entity.customer.ICustomer;

public interface IBillet extends Serializable {

	ICustomer getCustomer();

	void setCustomer(ICustomer customer);

	BilletBrazilModel getBillet();

	void setBillet(BilletBrazilModel billet);

	void setTransferor(String transferor);

	void setDocumentDate(Date documentDate);

	void setProcessDate(Date processDate);

	void setExpirationDate(Date expirationDate);

	void setPurse(String purse);

	void setAgency(String agency);

	void setAccount(String account);

	void setAccountDV(String accountDV);

	void setOurNumber(String ourNumber);

	void setDocumentNumber(String documentNumber);

	void setBilletValue(String billetValue);

	void setInstrunction1(String instrunction1);

	void setInstrunction2(String instrunction2);

	void setInstrunction3(String instrunction3);

	void setInstrunction4(String instrunction4);

	void setInstrunction5(String instrunction5);

	void setAcceptance(Character acceptance);
	
	BilletBankType getType();
	
	void setType(BilletBankType type);
}