package br.ufpe.rise.travelagency.coreagency.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.coreagency.entity.customer.ICustomer;
import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;

public class CustomerDao {

	private DataAccessHibernate<ICustomer> customerData;
	
	public CustomerDao(){
		
	}

	public void setCustomerData(DataAccessHibernate<ICustomer> customerData) {
		this.customerData = customerData;
	}
	
	public ICustomer getById(Object id) {
		
		return this.customerData.getById(id);
	}
	
	public List<ICustomer> list() {
		
		return this.customerData.listAll();
	}

	public void remove(ICustomer customer) {
		this.customerData.delete(customer);
	}

	public void save(ICustomer customer) {
		this.customerData.persist(customer);
	}

	public void update(ICustomer customer) {
		this.customerData.update(customer);
	}
}