package br.ufpe.rise.travelagency.coreagency.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.coreagency.entity.intinerary.IIntinerary;
import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;

public class IntineraryDao {

	private DataAccessHibernate<IIntinerary> intineraryData;
	
	public IntineraryDao(){
		
	}

	public void setIntineraryData(DataAccessHibernate<IIntinerary> intineraryData) {
		this.intineraryData = intineraryData;
	}
	
	public IIntinerary getById(Object id) {
		
		return this.intineraryData.getById(id);
	}

	public List<IIntinerary> getIntineraries() {
		
		return this.intineraryData.listAll();
	}

	public void remove(IIntinerary intinerary) {
		this.intineraryData.delete(intinerary);
	}

	public void save(IIntinerary intinerary) {
		this.intineraryData.persist(intinerary);
	}

	public void update(IIntinerary intinerary) {
		this.intineraryData.update(intinerary);
	}
}