package br.ufpe.rise.travelagency.coreagency.entity.customer;

public enum FederativeUnity {

	AM("Amazonas","AM","Manaus"),
	PA("Par","PA","Belm"),
	MT("Mato Grosso","MT","Cuiab"),
	MG("Minas Gerais","MG","Belo Horizonte"),
	BA("Bahia","BA","Salvador"),
	MS("Mato Grosso do Sul","MS","Campo Grande"),
	GO("Gois","GO","Goinia"),
	MA("Maranho","MA","So Lus"),
	RS("Rio Grande do Sul","RS","Porto Alegre"),
	TO("Tocantins","TO","Palmas"),
	PI("Piau","PI","Teresina"),
	SP("So Paulo","SP","So Paulo"),
	RO("Rondnia","RO","Porto Velho"),
	RR("Roraima","RR","Boa Vista"),
	PR("Paraná","PR","Curitiba"),
	AC("Acre","AC","Rio Branco"),
	CE("Cear","CE","Fortaleza"),
	AP("Amap","AP","Macap"),
	PE("Pernambuco","PE","Recife"),
	SC("Santa Catarina","SC","Florianpolis"),
	PB("Paraba","PB","Joo Pessoa"),
	RN("Rio Grande do Norte","RN","Natal"),
	ES("Esprito Santo","ES","Vitria"),
	RJ("Rio de Janeiro","RJ","Rio de Janeiro"),
	AL("Alagoas","AL","Macei"),
	SE("Sergipe","SE","Aracaju"),
	DF("Distrito Federal","DF","Braslia"),
	UNKNOWN("","","");
	
	private String name;
	private String acronym;
	private String metropolis;
	
	FederativeUnity(String name, String acronym, String metropolis){
		this.name = name;
		this.acronym = acronym;
		this.metropolis = metropolis;
	}

	public String getName() {
		return name;
	}

	public String getAcronym() {
		return acronym;
	}

	public String getMetropolis() {
		return metropolis;
	} 
}