package br.ufpe.rise.travelagency.coreagency.entity.customer;

import java.io.Serializable;

import br.ufpe.rise.travelagency.bank.IAccount;

public interface ICustomer extends Serializable {

	Long getId();

	void setId(Long id);

	String getPassword();

	void setPassword(String password);

	IAddress getAddress();

	void setAddress(IAddress address);

	ICPF getCpf();

	void setCpf(ICPF cpf);

	IEmail getEmail();

	void setEmail(IEmail email);

	IPhone getPhone();

	void setPhone(IPhone phone);

	IRG getRg();

	void setRg(IRG rg);
	
	IAccount getAccount(String accountNumber);
	
	IAccount createAccount(String number);
}