package br.ufpe.rise.travelagency.creditcard.entity;

import java.io.Serializable;

import br.ufpe.rise.travelagency.coreagency.entity.customer.ICustomer;

public interface ICreditCard extends Serializable {

	Long getId();
	
	void setId(Long id);
	
	String getNumber();
	
	void setNumber(String number);
	
	ICustomer getCustomer();
	
	void setCustomer(ICustomer customer);
	
	String getProtectedCreditCardNumber();
	
	String getCreditCardNumberWithoutPunctuation();
	
	CreditCardType getType();
	
	void setType(CreditCardType type);
}