package com.hotel.common.activator;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class HotelActivator implements BundleActivator {

	private static HotelActivator plugin;
	
	private BundleContext context;
	
	public static HotelActivator getDefault() {
		
		return plugin;
	}
	
	public BundleContext getContext() {
		
		return context;
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		HotelActivator.plugin = this;
		this.context = context;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		HotelActivator.plugin = null;
		this.context = null;
	}
}