package com.hotel.common.entity;

import java.io.Serializable;

import br.ufpe.rise.travelagency.coreagency.entity.util.price.Price;

public class Hotel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6383442360505698808L;
	
	private Long id;
	private String name;
	private String address;
	private String city;
	private String state;
	private String zip;
	private String country;
	private Price price;

	public Long getId(){
		return id;
	}
	
	public void setId(Long id){
		this.id = id;
	}

	public String getName(){
		return name;
	}
	
	public void setName(String name){
		this.name = name;
	}

	public String getAddress(){
		return address;
	}
	
	public void setAddress(String address){
		this.address = address;
	}

	public String getCity(){
		return city;
	}
	
	public void setCity(String city){
		this.city = city;
	}

	public String getZip(){
		return zip;
	}
	
	public void setZip(String zip){
		this.zip = zip;
	}

	public String getState(){
		return state;
	}
	
	public void setState(String state){
		this.state = state;
	}

	public String getCountry(){
		return country;
	}
	
	public void setCountry(String country){
		this.country = country;
	}
	
	public void setPrice(Price price){
		this.price = price;
	}

	public double price(){
		return this.price.price();
	}

	@Override
	public String toString()
	{
		return "Hotel(" + name + "," + address + "," + city + "," + zip + ")";
	}
}