package br.com.rise.notification.service.impl;

import java.util.Date;
import java.util.Timer;

import br.com.rise.notification.service.ICallback;
import br.com.rise.notification.service.MailTask;
import br.com.rise.notification.service.INotificationService;

/**
 * 
 * @author heberthbraga
 *
 */
public class NotificationServiceImpl implements INotificationService {

	private Timer timer;

	public NotificationServiceImpl() {
		this(new Timer());
	}
	
	public NotificationServiceImpl(Timer timer) {
		super();
		this.timer = timer;
	}

	public void sendMail(String from, String[] to, String subject,
			String message, Date toOccur, ICallback callback) {

		MailTask sendMail = new MailTask(from, to, subject, message, callback);

		timer.schedule(sendMail, toOccur);
	}

	public void sendMail(String from, String[] to, String subject,String message, ICallback callback) {
		sendMail(from, to, subject, message, new Date(), callback);
	}
}