package br.ufpe.rise.travelagency.payment.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;
import br.ufpe.rise.travelagency.payment.IPayment;

public class PaymentDao {

	private DataAccessHibernate<IPayment> paymentData;
	
	public PaymentDao(){
		
	}
	
	public void setPaymentData(DataAccessHibernate<IPayment> paymentData) {
		this.paymentData = paymentData;
	}
	
	public IPayment getById(Object id) {
		
		return this.paymentData.getById(id);
	}
	
	public List<IPayment> list() {
		
		return this.paymentData.listAll();
	}

	public void remove(IPayment payment) {
		this.paymentData.delete(payment);
	}

	public void save(IPayment payment) {
		this.paymentData.persist(payment);
	}

	public void update(IPayment payment) {
		this.paymentData.update(payment);
	}
}