package br.com.rise.roles.test;

import br.com.rise.roles.model.IUser;
import br.com.rise.roles.service.IRoleService;

public class RolesTest {
	
	private IRoleService roleService;
	private IUser user;
	
	public void setRoleService(IRoleService roleService) {
		this.roleService = roleService;
	}

	public void setUser(IUser user) {
		this.user = user;
	}

	public void start(){
		this.user.setId(new Long(1));
		this.user.setEmail("foo@mail.com");
		
		this.roleService.addUser(user);
		
		for(IUser u : this.roleService.listUsers()){
			System.out.println(u.getEmail());
		}
	}
	
	public void stop(){
		this.user = null;
		this.roleService = null;
		
		System.out.println("Goodbye, Role!!");
	}
}