package br.ufpe.rise.travelagency.coreagency.entity.util;

import org.apache.commons.lang.builder.ToStringBuilder;

public class ObjectUtil {

	private ObjectUtil() {
		throw new AssertionError();
	}

	public static boolean isNull(Object object, String name) 
		throws IllegalArgumentException {

		boolean is = true;

		if (object != null) {
			is = false;
			
		} else {

			IllegalArgumentException e = new IllegalArgumentException(
					(name != null ? name : "Objeto ") + " inválido : [" 
					+ object + "]!");

			throw e;
		}

		return is;
	}

	public static boolean isNotNull(Object object, String name) 
		throws IllegalArgumentException {
		return !isNull(object, name);
	}

	public static boolean isNotNull(Object object) {
		return (object != null);
	}

	public static boolean exists(Object object) {
		return (object != null);
	}

	public static boolean isNull(Object object) {
		return (object == null);
	}

	public static String toString(Object obj) {
		return "TravelAgencyObject: " + ToStringBuilder.reflectionToString(obj);
	}
}