package br.ufpe.rise.travelagency.coreagency.entity.util;

import org.apache.commons.validator.GenericValidator;

public class Validator {

    public static boolean isBlankOrNull(String value) {
        return GenericValidator.isBlankOrNull(value);
    }

    public static boolean matchRegexp(String value, String regexp) {
        return value.matches(regexp);
    }
    
    public static boolean isByte(String value) {
        return GenericValidator.isByte(value);
    }

    public static boolean isShort(String value) {
        return GenericValidator.isShort(value);
    }
    
    public static boolean isInt(String value) {
        return GenericValidator.isInt(value);
    }

    public static boolean isLong(String value) {
        return GenericValidator.isLong(value);
    }

    public static boolean isFloat(String value) {
        return GenericValidator.isFloat(value);
    }

    public static boolean isDouble(String value) {
        return GenericValidator.isDouble(value);
    }
        
    public static boolean isInRange(int value, int min, int max) {
        return GenericValidator.isInRange(value, min, max);
    }

    public static boolean isInRange(float value, float min, float max) {
        return GenericValidator.isInRange(value, min, max);
    }

    public static boolean isInRange(short value, short min, short max) {
        return GenericValidator.isInRange(value, min, max);
    }

    public static boolean isInRange(double value, double min, double max) {
        return GenericValidator.isInRange(value, min, max);
    }
}