package br.ufpe.rise.travelagency.coreagency.entity.util.price;

public class Price {

	private String foreignCurrency;
	private String priceValue;
	private PriceConversor conversor;
	
	public Price(){
	
	}
	
	public void setForeignCurrency(String foreignCurrency){
		this.foreignCurrency = foreignCurrency;
	}
	
	public void setPriceValue(String priceValue){
		this.priceValue = priceValue;
	}
	
	public double price(){
		if(PriceType.REAL_TO_FOREIGNCURRENCY.getType().equals("real_foreign")){
			conversor = new RealToForeignCurrency();
			
			return conversor.convert(priceValue, foreignCurrency);
		}else if(PriceType.FOREIGNCURRENCY_TO_REAL.getType().equals("foreign_real")){
			conversor = new ForeignCurrencyToReal();
			
			return conversor.convert(priceValue, foreignCurrency);
		}
		
		return 0.0;
	}
}