package com.airlinecompany.flightservice.activator;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class AirlineActivator implements BundleActivator {

	private static AirlineActivator plugin;
	
	private BundleContext context;
	
	public static AirlineActivator getDefault() {
		
		return plugin;
	}
	
	public BundleContext getContext() {
		
		return context;
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		AirlineActivator.plugin = this;
		this.context = context;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		AirlineActivator.plugin = null;
		this.context = null;
	}
}