package br.ufpe.rise.travelagency.billet.entity;

import org.jboleto.JBoleto;

public enum BilletBankType {
	
	BB(1, JBoleto.BANCO_DO_BRASIL),
	BRADESCO(2, JBoleto.BRADESCO),
	CAIXA_ECONOMICA(3, JBoleto.CAIXA_ECONOMICA),
	HSBC(4, JBoleto.HSBC),
	ITAU(5, JBoleto.ITAU),
	BANCO_REAL(6, JBoleto.BANCO_REAL),
	SANTANDER(7, JBoleto.SANTANDER),
	NOSSACAIXA(8, JBoleto.NOSSACAIXA),
	UNIBANCO(9, JBoleto.UNIBANCO),
	UNDEFINED(0, 0);
	
	private int number;
	private int bank;
	
	private BilletBankType(int number, int bank) {
		this.number = number;
		this.bank = bank;
	}

	public int getNumber() {
		return number;
	}

	public int getBank() {
		return bank;
	}
}