package br.ufpe.rise.travelagency.coreagency.component;

import java.util.List;

import br.ufpe.rise.travelagency.coreagency.entity.customer.ICustomer;
import br.ufpe.rise.travelagency.coreagency.entity.intinerary.IIntinerary;

public interface ICoreAgencyComponent {

	void save(ICustomer customer);
	
	void update(ICustomer customer);
	
	List<ICustomer> getCustomers();
	
	ICustomer getCustomerById(Long id);
	
	void remove(ICustomer customer);
	
	void save(IIntinerary intinerary);
	
	void update(IIntinerary intinerary);
	
	List<IIntinerary> getIntineraries();
	
	IIntinerary getIntineraryById(Long id);
	
	void remove(IIntinerary intinerary);
}