package br.ufpe.rise.travelagency.coreagency.entity.common;


public class CPFValidator extends AbstractCPRFValidator {

	@Override
	public boolean isValid() {
		
		boolean isValido = false;
		int dv = 0;
		int dvCalculado = -1;
		
		dv = Integer.parseInt(getRegisterCode().substring(9, 11));

		dvCalculado = digitValidator.calculate(getRegisterCode().substring(0, 9));
		
		isValido = (dvCalculado >= 0 && dv == dvCalculado);
		
		return isValido;
	}

	@Override
	protected void removeFormat() {
		
		String code = getRegisterCode();
		
		code = code.replace(".", "");
		code = code.replace("-", "");

		registerCode.delete(0, registerCode.length());
		
		registerCode.append(code);
	}
}