package br.com.rise.data.access.hibernate;

import java.util.List;

/**
 * 
 * @author heberthbraga
 *
 * @param <Entity>
 */
public interface IDataAccessGeneric<Entity> {

	Entity persist(Entity entity);
	
	void update(Entity entity);
	
	Entity getById(Object identifier);
	
	List<Entity> listAll();
	
	void delete(Entity entity);
}