package com.hotel.common.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public interface IBooking extends Serializable {

	BigDecimal getTotal();

	int getNights();

	Long getId();

	void setId(Long id);

	Date getCheckinDate();

	void setCheckinDate(Date datetime);

	IHotel getHotel();

	void setHotel(IHotel hotel);

	Object getUser();

	void setUser(Object user);

	Date getCheckoutDate();

	void setCheckoutDate(Date checkoutDate);

	String getCreditCard();

	void setCreditCard(String creditCard);


	String getDescription();

	boolean isSmoking();

	void setSmoking(boolean smoking);

	int getBeds();

	void setBeds(int beds);

	String getCreditCardName();

	void setCreditCardName(String creditCardName);

	int getCreditCardExpiryMonth();

	void setCreditCardExpiryMonth(int creditCardExpiryMonth);

	int getCreditCardExpiryYear();

	void setCreditCardExpiryYear(int creditCardExpiryYear);
}