package com.hotel.common.service;

import java.util.Collection;

import com.hotel.common.entity.IBooking;
import com.hotel.common.exception.BookingException;

public interface IHotelService {

	void bookHotel();

	void setBookingDetails() throws BookingException;

	boolean isBookingValid();
	
	void addBooking(IBooking booking);
	
	void removeBooking(IBooking booking);
	
	Collection<IBooking> getBookings();

	IBooking getBooking();
}