package br.com.rise.notification.service;

import java.util.TimerTask;

/**
 * 
 * @author heberthbraga
 *
 */
public class MailTask extends TimerTask {

	private Mailer mailer;

	public MailTask(String from, String[] recipients, String subject,
			String message, ICallback callback) {
		
		this.mailer = new Mailer(from, recipients, subject, message, callback);
	}

	@Override
	public void run() {
		mailer.sendMail();
	}
}