package br.ufpe.rise.travelagency.bank;

import br.ufpe.rise.travelagency.coreagency.entity.customer.ICustomer;

public class Account implements IAccount {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1667131498892698961L;
	
	private Long id;
	private String accountNumber;
	private ICustomer customer;
	private IBank bank;
	private String dv;
	
	public Account(){
		
	}
	
	public Account(String accountNumber, ICustomer customer){
		this.accountNumber = accountNumber;
		this.customer = customer;
	}
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public ICustomer getCustomer() {
		return customer;
	}

	public IBank getBank() {
		return bank;
	}

	public void setBank(IBank bank) {
		this.bank = bank;
	}

	public String getDv() {
		return dv;
	}

	public void setDv(String dv) {
		this.dv = dv;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((accountNumber == null) ? 0 : accountNumber.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Account other = (Account) obj;
		if (accountNumber == null) {
			if (other.accountNumber != null)
				return false;
		} else if (!accountNumber.equals(other.accountNumber))
			return false;
		return true;
	}
}