package br.ufpe.rise.travelagency.payment.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.bank.IAccount;
import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;

public class AccountDao {
	
	private DataAccessHibernate<IAccount> accountData;
	
	public AccountDao(){
		
	}
	
	public void setAccountData(DataAccessHibernate<IAccount> accountData) {
		this.accountData = accountData;
	}
	
	public IAccount getById(Object id) {
		
		return this.accountData.getById(id);
	}
	
	public List<IAccount> list() {
		
		return this.accountData.listAll();
	}

	public void remove(IAccount account) {
		this.accountData.delete(account);
	}

	public void save(IAccount account) {
		this.accountData.persist(account);
	}

	public void update(IAccount account) {
		this.accountData.update(account);
	}
}