package br.ufpe.rise.travelagency.payment.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.bank.IBank;
import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;

public class BankDao {
	
	private DataAccessHibernate<IBank> bankData;
	
	public BankDao(){
		
	}

	public void setBankData(DataAccessHibernate<IBank> bankData) {
		this.bankData = bankData;
	}
	
	public IBank getById(Object id) {
		
		return this.bankData.getById(id);
	}
	
	public List<IBank> list() {
		
		return this.bankData.listAll();
	}

	public void remove(IBank bank) {
		this.bankData.delete(bank);
	}

	public void save(IBank bank) {
		this.bankData.persist(bank);
	}

	public void update(IBank bank) {
		this.bankData.update(bank);
	}
}