package br.ufpe.rise.travelagency.reservation.dao.hibernate;

import java.util.List;

import br.ufpe.rise.travelagency.dataaccess.hibernate.DataAccessHibernate;
import br.ufpe.rise.travelagency.reservation.entity.IReserve;

public class ReserveDao {

	private DataAccessHibernate<IReserve> reserveData;
	
	public ReserveDao(){
		
	}

	public void setCustomerData(DataAccessHibernate<IReserve> reserveData) {
		this.reserveData = reserveData;
	}
	
	public IReserve getById(Object id) {
		
		return this.reserveData.getById(id);
	}
	
	public List<IReserve> list() {
		
		return this.reserveData.listAll();
	}

	public void remove(IReserve reserve) {
		this.reserveData.delete(reserve);
	}

	public void save(IReserve reserve) {
		this.reserveData.persist(reserve);
	}

	public void update(IReserve reserve) {
		this.reserveData.update(reserve);
	}
}