package br.ufpe.rise.travelagency.reservation.service.impl;

import com.airlinecompany.flightservice.service.IFlightService;

public class FlightPoint implements Common {
	
	private String name;
	private IFlightService flightService;
	
	public FlightPoint(String name){
		this.name = name;
	}

	public IFlightService getFlightService() {
		return flightService;
	}

	public void setFlightService(IFlightService flightService) {
		this.flightService = flightService;
	}

	@Override
	public void makeReservation() {
		this.flightService.makeReservation(this.name);
	}
}