package br.com.rise.roles.service.impl;

import java.util.ArrayList;
import java.util.List;

import br.com.rise.roles.model.IUser;
import br.com.rise.roles.service.IRoleService;

public class RoleService implements IRoleService {
	
	private List<IUser> users;
	
	public RoleService(){
		this.users = new ArrayList<IUser>();
	}
	
	public void addUser(IUser user) {
		if(user != null)
			this.users.add(user);
	}

	public List<IUser> listUsers() {
		
		return this.users;
	}

	public void removeUser(IUser user) {
		if(this.users.contains(user)){
			this.users.remove(user);
		}
	}
}