package br.com.rise.roles.component;

import java.util.List;

import br.com.rise.roles.model.entity.IUser;

public interface IRolesComponent {

	void save(IUser user);
	
	void update(IUser user);
	
	IUser getRoleById(Long id);
	
	List<IUser> getRoles();
	
	void delete(IUser user);
	
	IUser getByLoginAndPassword(IUser user);
}