package br.com.rise.roles.test;

import br.com.rise.roles.component.IRolesComponent;
import br.com.rise.roles.model.entity.IUser;
import br.com.rise.roles.model.entity.Reviewer;

public class RolesTest {
	
	private IUser user;
	private Reviewer reviewer;
	private IRolesComponent rolesComponent;
	
	public void setRolesComponent(IRolesComponent rolesComponent) {
		this.rolesComponent = rolesComponent;
	}

	public void setUser(IUser user) {
		this.user = user;
	}

	public void setReviewer(Reviewer reviewer) {
		this.reviewer = reviewer;
	}

	public void start(){
		
		this.user.setFirstName("Heberth");
		this.user.setMiddleName("B");
		this.user.setLastName("Ribeiro");
		this.user.setOrganization("RiSE");
		this.user.setEmail("braga.heberth@gmail.com");
		
		this.reviewer.setFirstName("Philip");
		this.reviewer.setMiddleName("K.");
		this.reviewer.setLastName("Dick");
		this.reviewer.setOrganization("A Scanner Darkly");
		this.reviewer.setEmail("philip@mail.com");
		
		this.rolesComponent.save(this.user);
	}
	
	public void stop(){
		this.user = null;
		this.rolesComponent = null;
		System.out.println("Goodbye!!");
	}
}