package com.vehicleagency.vehicle.activator;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class VehicleActivator implements BundleActivator {

	private static VehicleActivator plugin;
	
	private BundleContext context;
	
	public static VehicleActivator getDefault() {
		
		return plugin;
	}
	
	public BundleContext getContext() {
		
		return context;
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		VehicleActivator.plugin = this;
		this.context = context;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		VehicleActivator.plugin = null;
		this.context = null;
	}
}