package com.vehicleagency.vehicle.entity;

import java.io.Serializable;

public abstract class Vehicle implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6958363116933045198L;
	
	private Long id;
	private String registration;
	private String description;
	
	public Vehicle(){
		
	}
	
	public Vehicle(Long id, String registration, String description){
		this.id = id;
		this.registration = registration;
		this.description = description;
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getRegistration() {
		return registration;
	}

	public void setRegistration(String registration) {
		this.registration = registration;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public abstract double charge();
}